package com.jiayue.ipfcst.common.data.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 文件类型枚举类
 *
 * @author xsl
 * @version 2.0
 * @since 2018/11/16 11:18
 */
@Getter
@AllArgsConstructor
public enum FileTypeEnum {
	E1(1,"短期"),
	E2(2,"超短期"),
	E3(3,"理论功率"),
	E4(4,"24NWP"),
	E5(5,"72NWP"),
	E6(6,"气象站"),
	E7(7,"测风塔"),
	E8(8,"逆变器"),
	E9(9,"风机信息");


	private Integer code;
	private String message;

	//封装所有使用超短期提前参数的超短期类型的返回值
	public static List<FileTypeEnum> getCDQ(){
		List<FileTypeEnum> fileTypeEnums = new ArrayList<>();
		fileTypeEnums.add(FileTypeEnum.E2);
		return fileTypeEnums;
	}

}
